[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDialogBaseButtonItem.Create

Constructor for the class instance.

## Declaration

Source position: dialogs.pp line 628

`public constructor TTaskDialogBaseButtonItem.Create(`
`ACollection: TCollection`
`); override;`

## Arguments

`ACollection` |  | Collection which owns the button item.

## Description

Create is the overridden constructor for the class instance. It calls the inherited method on entry, and sets the value in the Client property to the dialog which is the owner for the Collection. The value in ModalResult is set to the ID value for the collection item + 100.

## See also

TTaskDialogBaseButtonItem.Client |  | TCustomTaskDialog where the button is used.
TTaskDialogBaseButtonItem.ModalResult |  | Modal result value returned when the button is clicked.
TCollectionItem.Collection
TCollectionItem.ID